<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ClusterObj Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_cluster_obj-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ClusterObj Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_cluster_obj_8h_source.html">ClusterObj.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::ClusterObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_cluster_obj__inherit__graph.png" border="0" usemap="#eic_1_1_cluster_obj_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_cluster_obj_inherit__map" id="eic_1_1_cluster_obj_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::ClusterObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_cluster_obj__coll__graph.png" border="0" usemap="#eic_1_1_cluster_obj_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_cluster_obj_coll__map" id="eic_1_1_cluster_obj_coll__map">
<area shape="rect" id="node3" href="classeic_1_1_cluster_data.html" title="eic::ClusterData" alt="" coords="101,5,219,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a69e1398814e8fe3395dbb4477c3a607b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_obj.html#a69e1398814e8fe3395dbb4477c3a607b">ClusterObj</a> ()</td></tr>
<tr class="memdesc:a69e1398814e8fe3395dbb4477c3a607b"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor  <a href="#a69e1398814e8fe3395dbb4477c3a607b">More...</a><br /></td></tr>
<tr class="separator:a69e1398814e8fe3395dbb4477c3a607b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c440fe53b9d083813cccf42322046bf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_obj.html#a2c440fe53b9d083813cccf42322046bf">ClusterObj</a> (const <a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a> &amp;)</td></tr>
<tr class="memdesc:a2c440fe53b9d083813cccf42322046bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor (does a deep-copy of relation containers)  <a href="#a2c440fe53b9d083813cccf42322046bf">More...</a><br /></td></tr>
<tr class="separator:a2c440fe53b9d083813cccf42322046bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25d879900bcf37b09eabad76af693566"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_obj.html#a25d879900bcf37b09eabad76af693566">ClusterObj</a> (const podio::ObjectID id, <a class="el" href="classeic_1_1_cluster_data.html">ClusterData</a> <a class="el" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a>)</td></tr>
<tr class="separator:a25d879900bcf37b09eabad76af693566"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc37368b37fd11275b6e33e8937d0dcf"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_obj.html#adc37368b37fd11275b6e33e8937d0dcf">~ClusterObj</a> ()</td></tr>
<tr class="separator:adc37368b37fd11275b6e33e8937d0dcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a40fef3c2f9b08388af5e1ef8325e2595"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_cluster_data.html">ClusterData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_obj.html#a40fef3c2f9b08388af5e1ef8325e2595">data</a></td></tr>
<tr class="separator:a40fef3c2f9b08388af5e1ef8325e2595"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab30fa33cb765e4aa0f3540b308234a5"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_obj.html#aab30fa33cb765e4aa0f3540b308234a5">m_clusters</a></td></tr>
<tr class="separator:aab30fa33cb765e4aa0f3540b308234a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a04b005f284ed414183a694e9eaf94e"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_obj.html#a6a04b005f284ed414183a694e9eaf94e">m_hits</a></td></tr>
<tr class="separator:a6a04b005f284ed414183a694e9eaf94e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_cluster_obj_8h_source.html#l00021">21</a> of file <a class="el" href="_cluster_obj_8h_source.html">ClusterObj.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a69e1398814e8fe3395dbb4477c3a607b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69e1398814e8fe3395dbb4477c3a607b">&#9670;&nbsp;</a></span>ClusterObj() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ClusterObj::ClusterObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor </p>

<p class="definition">Definition at line <a class="el" href="_cluster_obj_8cc_source.html#l00007">7</a> of file <a class="el" href="_cluster_obj_8cc_source.html">ClusterObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">data</a>, <a class="el" href="_cluster_obj_8h_source.html#l00034">m_clusters</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00035">m_hits</a>.</p>

</div>
</div>
<a id="a2c440fe53b9d083813cccf42322046bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c440fe53b9d083813cccf42322046bf">&#9670;&nbsp;</a></span>ClusterObj() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ClusterObj::ClusterObj </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor (does a deep-copy of relation containers) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_obj_8cc_source.html#l00018">18</a> of file <a class="el" href="_cluster_obj_8cc_source.html">ClusterObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">data</a>, <a class="el" href="_cluster_obj_8h_source.html#l00034">m_clusters</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00035">m_hits</a>.</p>

</div>
</div>
<a id="a25d879900bcf37b09eabad76af693566"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25d879900bcf37b09eabad76af693566">&#9670;&nbsp;</a></span>ClusterObj() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ClusterObj::ClusterObj </td>
          <td>(</td>
          <td class="paramtype">const podio::ObjectID&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classeic_1_1_cluster_data.html">ClusterData</a>&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>constructor from ObjectID and <a class="el" href="classeic_1_1_cluster_data.html">ClusterData</a> does not initialize the internal relation containers </p>

<p class="definition">Definition at line <a class="el" href="_cluster_obj_8cc_source.html#l00014">14</a> of file <a class="el" href="_cluster_obj_8cc_source.html">ClusterObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">data</a>.</p>

</div>
</div>
<a id="adc37368b37fd11275b6e33e8937d0dcf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc37368b37fd11275b6e33e8937d0dcf">&#9670;&nbsp;</a></span>~ClusterObj()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::ClusterObj::~ClusterObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_obj_8cc_source.html#l00026">26</a> of file <a class="el" href="_cluster_obj_8cc_source.html">ClusterObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00034">m_clusters</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00035">m_hits</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a40fef3c2f9b08388af5e1ef8325e2595"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40fef3c2f9b08388af5e1ef8325e2595">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_cluster_data.html">ClusterData</a> eic::ClusterObj::data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_obj_8h_source.html#l00033">33</a> of file <a class="el" href="_cluster_obj_8h_source.html">ClusterObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00078">eic::Cluster::addclusters()</a>, <a class="el" href="_cluster_8cc_source.html#l00114">eic::Cluster::addhits()</a>, <a class="el" href="_cluster_8cc_source.html#l00020">eic::Cluster::Cluster()</a>, <a class="el" href="_cluster_obj_8cc_source.html#l00007">ClusterObj()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00079">eic::ConstCluster::clusters()</a>, <a class="el" href="_cluster_8cc_source.html#l00099">eic::Cluster::clusters()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00063">eic::ConstCluster::clusters_begin()</a>, <a class="el" href="_cluster_8cc_source.html#l00083">eic::Cluster::clusters_begin()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00069">eic::ConstCluster::clusters_end()</a>, <a class="el" href="_cluster_8cc_source.html#l00089">eic::Cluster::clusters_end()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00075">eic::ConstCluster::clusters_size()</a>, <a class="el" href="_cluster_8cc_source.html#l00095">eic::Cluster::clusters_size()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00020">eic::ConstCluster::ConstCluster()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00058">eic::ConstCluster::directionError()</a>, <a class="el" href="_cluster_8cc_source.html#l00060">eic::Cluster::directionError()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00051">eic::ConstCluster::energy()</a>, <a class="el" href="_cluster_8cc_source.html#l00053">eic::Cluster::energy()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00111">eic::ConstCluster::hits()</a>, <a class="el" href="_cluster_8cc_source.html#l00135">eic::Cluster::hits()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00095">eic::ConstCluster::hits_begin()</a>, <a class="el" href="_cluster_8cc_source.html#l00119">eic::Cluster::hits_begin()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00101">eic::ConstCluster::hits_end()</a>, <a class="el" href="_cluster_8cc_source.html#l00125">eic::Cluster::hits_end()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00107">eic::ConstCluster::hits_size()</a>, <a class="el" href="_cluster_8cc_source.html#l00131">eic::Cluster::hits_size()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00057">eic::ConstCluster::phi()</a>, <a class="el" href="_cluster_8cc_source.html#l00059">eic::Cluster::phi()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00052">eic::ConstCluster::position()</a>, <a class="el" href="_cluster_8cc_source.html#l00054">eic::Cluster::position()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00054">eic::ConstCluster::positionError()</a>, <a class="el" href="_cluster_8cc_source.html#l00056">eic::Cluster::positionError()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00056">eic::ConstCluster::theta()</a>, and <a class="el" href="_cluster_8cc_source.html#l00058">eic::Cluster::theta()</a>.</p>

</div>
</div>
<a id="aab30fa33cb765e4aa0f3540b308234a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab30fa33cb765e4aa0f3540b308234a5">&#9670;&nbsp;</a></span>m_clusters</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a>&gt;* eic::ClusterObj::m_clusters</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_obj_8h_source.html#l00034">34</a> of file <a class="el" href="_cluster_obj_8h_source.html">ClusterObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00078">eic::Cluster::addclusters()</a>, <a class="el" href="_cluster_obj_8cc_source.html#l00007">ClusterObj()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00079">eic::ConstCluster::clusters()</a>, <a class="el" href="_cluster_8cc_source.html#l00099">eic::Cluster::clusters()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00063">eic::ConstCluster::clusters_begin()</a>, <a class="el" href="_cluster_8cc_source.html#l00083">eic::Cluster::clusters_begin()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00069">eic::ConstCluster::clusters_end()</a>, <a class="el" href="_cluster_8cc_source.html#l00089">eic::Cluster::clusters_end()</a>, <a class="el" href="_cluster_collection_8cc_source.html#l00124">eic::ClusterCollection::prepareAfterRead()</a>, and <a class="el" href="_cluster_obj_8cc_source.html#l00026">~ClusterObj()</a>.</p>

</div>
</div>
<a id="a6a04b005f284ed414183a694e9eaf94e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a04b005f284ed414183a694e9eaf94e">&#9670;&nbsp;</a></span>m_hits</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a>&gt;* eic::ClusterObj::m_hits</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_obj_8h_source.html#l00035">35</a> of file <a class="el" href="_cluster_obj_8h_source.html">ClusterObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00114">eic::Cluster::addhits()</a>, <a class="el" href="_cluster_obj_8cc_source.html#l00007">ClusterObj()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00111">eic::ConstCluster::hits()</a>, <a class="el" href="_cluster_8cc_source.html#l00135">eic::Cluster::hits()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00095">eic::ConstCluster::hits_begin()</a>, <a class="el" href="_cluster_8cc_source.html#l00119">eic::Cluster::hits_begin()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00101">eic::ConstCluster::hits_end()</a>, <a class="el" href="_cluster_8cc_source.html#l00125">eic::Cluster::hits_end()</a>, and <a class="el" href="_cluster_obj_8cc_source.html#l00026">~ClusterObj()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_cluster_obj_8h_source.html">ClusterObj.h</a></li>
<li>src/<a class="el" href="_cluster_obj_8cc_source.html">ClusterObj.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
